import * as path from 'path';
export const deviceFileLocations = ({ certsDir, deviceId, }) => ({
    privateKey: path.resolve(certsDir, `device-${deviceId}.pem.key`),
    cert: path.resolve(certsDir, `device-${deviceId}.pem.crt`),
    registration: path.resolve(certsDir, `device-${deviceId}.registration.json`),
    intermediateCertId: path.resolve(certsDir, `device-${deviceId}.intermediateCertId`),
    json: path.resolve(certsDir, `device-${deviceId}.json`),
    csr: path.resolve(certsDir, `device-${deviceId}.pem.csr`),
});
