import run from '@bifravst/run';
export const fingerprint = async (certLocation) => (await run({
    command: 'openssl',
    args: [
        'x509',
        '-noout',
        '-fingerprint',
        '-sha1',
        '-inform',
        'pem',
        '-in',
        certLocation,
    ],
}))
    .replace('sha1 Fingerprint=', '')
    .replace(/:/g, '')
    .trim();
