export declare const caFileLocations: ({ prefix, certsDir, }: {
    prefix: string;
    certsDir: string;
}) => {
    id: string;
    cert: string;
    privateKey: string;
    csr: string;
    verificationPrivateKey: string;
    verificationCert: string;
    verificationCSR: string;
};
export declare const CARootFileLocations: (certsDir: string) => ReturnType<typeof caFileLocations>;
export declare const CAIntermediateFileLocations: ({ certsDir, id, }: {
    certsDir: string;
    id: string;
}) => ReturnType<typeof caFileLocations>;
